# wxGridSizeEvent Class Reference
[Grid Related Classes, Events]

`#include <wx/grid.h>`

Inheritance diagram for wxGridSizeEvent:
[legend]

## Detailed Description

This event class contains information about a row/column resize event.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxGridSizeEvent& event)
Event macros:

- EVT_GRID_CMD_COL_SIZE(id, func):
  The user resized a column, corresponds to `wxEVT_GRID_COL_SIZE` event type.
- EVT_GRID_CMD_ROW_SIZE(id, func):
  The user resized a row, corresponds to `wxEVT_GRID_ROW_SIZE` event type.
- EVT_GRID_COL_SIZE(func):
  Same as EVT_GRID_CMD_COL_SIZE() but uses `wxID_ANY` id.
- EVT_GRID_ROW_SIZE(func):
  Same as EVT_GRID_CMD_ROW_SIZE() but uses `wxID_ANY` id.

##

Library: wxAdvanced

Category: Grid Related Classes, Events

## Public Member Functions
| wxGridSizeEvent ()
| Default constructor.
| wxGridSizeEvent (int id, wxEventType type, wxObject *obj, int rowOrCol=-1, int x=-1, int y=-1, const wxKeyboardState &kbd=wxKeyboardState())
| Constructor for initializing all event attributes.
bool | AltDown () const
| Returns true if the Alt key was down at the time of the event.
bool | ControlDown () const
| Returns true if the Control key was down at the time of the event.
wxPoint | GetPosition ()
| Position in pixels at which the event occurred.
int | GetRowOrCol ()
| Row or column at that was resized.
bool | MetaDown () const
| Returns true if the Meta key was down at the time of the event.
bool | ShiftDown () const
| Returns true if the Shift key was down at the time of the event.

List of all members.

## Constructor & Destructor Documentation

wxGridSizeEvent::wxGridSizeEvent | ( |  | ) |

Default constructor.

wxGridSizeEvent::wxGridSizeEvent | ( | int | id,
|  | wxEventType | type,
|  | wxObject * | obj,
|  | int | rowOrCol = `-1`,
|  | int | x = `-1`,
|  | int | y = `-1`,
|  | const wxKeyboardState & | kbd = `wxKeyboardState()` |
| ) |  |  |

Constructor for initializing all event attributes.

## Member Function Documentation

bool wxGridSizeEvent::AltDown | ( |  | ) | const

Returns true if the Alt key was down at the time of the event.

bool wxGridSizeEvent::ControlDown | ( |  | ) | const

Returns true if the Control key was down at the time of the event.

wxPoint wxGridSizeEvent::GetPosition | ( |  | ) |

Position in pixels at which the event occurred.

int wxGridSizeEvent::GetRowOrCol | ( |  | ) |

Row or column at that was resized.

bool wxGridSizeEvent::MetaDown | ( |  | ) | const

Returns true if the Meta key was down at the time of the event.

bool wxGridSizeEvent::ShiftDown | ( |  | ) | const

Returns true if the Shift key was down at the time of the event.

|  | [ top ]